%define		hordeapp ingo
#
%include	/usr/lib/rpm/macros.php
Summary:	Ingo - an email filter rules manager
Summary(pl.UTF-8):	Ingo - zarządca reguł filtrowania poczty elektronicznej
Name:		horde-%{hordeapp}
Version:	1.2.6
Release:	3
License:	GPL v2
Group:		Applications/WWW
Source0:	ftp://ftp.horde.org/pub/ingo/%{hordeapp}-h3-%{version}.tar.gz
# Source0-md5:	d8549db0b8ceeb08dd16e0f99a275e05
Source1:	%{hordeapp}-apache.conf
Source2:	%{hordeapp}-httpd.conf
Patch0:		%{hordeapp}-path.patch
Patch1:		%{hordeapp}-maildir-prefix.patch
Patch2:		%{hordeapp}-folders-in-maildir.patch
URL:		http://www.horde.org/ingo/
BuildRequires:	rpm-php-pearprov >= 4.0.2-98
BuildRequires:	rpmbuild(macros) >= 1.268
Requires:	horde >= 3.0
Requires:	php(imap)
Requires:	webapps
Suggests:	php-pear-Net_Sieve >= 1.0.1
Suggests:	php-pear-Net_Socket
Obsoletes:	ingo
Conflicts:	apache-base < 2.4.0-1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq_pear	/usr/share/horde.* Horde.*

%define		hordedir	/usr/share/horde
%define		_appdir		%{hordedir}/%{hordeapp}
%define		_webapps	/etc/webapps
%define		_webapp		horde-%{hordeapp}
%define		_sysconfdir	%{_webapps}/%{_webapp}

%description
Ingo currently supports the following filtering drivers:
- Sieve (using timsieved)
- procmail (using VFS FTP driver)
- IMAP client-side filtering

Ingo has replaced IMP's internal filtering code and is the default
filtering agent in IMP H3 (4.0).

The Horde Project writes web applications in PHP and releases them
under the GNU General Public License. For more information (including
help with Ingo) please visit <http://www.horde.org/>.

%description -l pl.UTF-8
Ingo aktualnie obsługuje następujące sterowniki filtrowania:
- Sieve (przy użyciu timsieved)
- procmail (przy użyciu sterownika VFS FTP)
- filtrowanie po stronie klienta IMAP

Ingo zastąpił wewnętrzny kod filtrujący IMP-a i jest domyślnym agentem
filtrowania w IMP-ie H3 (4.0).

Projekt Horde pisze aplikacje WWW w PHP i wydaje je na Powszechnej
Licencji Publicznej GNU (General Public License). Więcej informacji
(wraz z pomocą do Ingo) można znaleźć na stronie
<http://www.horde.org/>.

%prep
%setup -q -n %{hordeapp}-h3-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

rm */.htaccess
for i in config/*.dist; do
	mv $i config/$(basename $i .dist)
done
# considered harmful (horde/docs/SECURITY)
rm test.php

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_appdir}/docs}

cp -a *.php $RPM_BUILD_ROOT%{_appdir}
cp -a config/* $RPM_BUILD_ROOT%{_sysconfdir}
echo '<?php ?>' > $RPM_BUILD_ROOT%{_sysconfdir}/conf.php
touch $RPM_BUILD_ROOT%{_sysconfdir}/conf.php.bak
cp -a js lib locale templates themes $RPM_BUILD_ROOT%{_appdir}
cp -a docs/CREDITS $RPM_BUILD_ROOT%{_appdir}/docs

ln -s %{_sysconfdir} $RPM_BUILD_ROOT%{_appdir}/config
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/apache.conf
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/httpd.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ ! -f %{_sysconfdir}/conf.php.bak ]; then
	install /dev/null -o root -g http -m660 %{_sysconfdir}/conf.php.bak
fi

%triggerin -- apache1 < 1.3.37-3, apache1-base
%webapp_register apache %{_webapp}

%triggerun -- apache1 < 1.3.37-3, apache1-base
%webapp_unregister apache %{_webapp}

%triggerin -- apache-base
%webapp_register httpd %{_webapp}

%triggerun -- apache-base
%webapp_unregister httpd %{_webapp}

%files
%defattr(644,root,root,755)
%doc README docs/*
%dir %attr(750,root,http) %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apache.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/httpd.conf
%attr(660,root,http) %config(noreplace) %{_sysconfdir}/conf.php
%attr(660,root,http) %config(noreplace) %ghost %{_sysconfdir}/conf.php.bak
%attr(640,root,http) %config(noreplace) %{_sysconfdir}/[!c]*.php
%attr(640,root,http) %{_sysconfdir}/conf.xml

%dir %{_appdir}
%{_appdir}/*.php
%{_appdir}/config
%{_appdir}/docs
%{_appdir}/js
%{_appdir}/lib
%{_appdir}/locale
%{_appdir}/templates
%{_appdir}/themes
%changelog
* Thu May 16 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/horde-ingo.git;a=log;h=master

* Thu May 16 2013 Jan Rękorajski <baggins@pld-linux.org> b7d565e
- rpm5 friendly noautoreq
- rel 3

* Wed May 15 2013 Jan Rękorajski <baggins@pld-linux.org> 86d61fe
- migrated to apache 2.4

* Thu Oct 13 2011 Jan Rękorajski <baggins@pld-linux.org> b960e72
- 1.2.6
- allow procmail folders to be crated under $MAILDIR instead of $DEAFULT

* Thu Sep 30 2010 Elan Ruusamäe <glen@pld-linux.org> 6e820c8
- autoup to 1.2.5

* Tue Sep 07 2010 Elan Ruusamäe <glen@pld-linux.org> f7f5a2a
- updated to: 1.2.4

* Sun May 09 2010 Jan Rękorajski <baggins@pld-linux.org> a86e496
- rel 3
- fixed patch

* Sun May 09 2010 Jan Rękorajski <baggins@pld-linux.org> 79f3bd7
- rel 2
- allow maildir folders to NOT begin with dot

* Mon Apr 19 2010 Jan Rękorajski <baggins@pld-linux.org> bfafa8e
- 1.2.3

* Tue Oct 14 2008 Jan Rękorajski <baggins@pld-linux.org> 46f50f0
- rel 3
- updated path patch

* Tue Oct 14 2008 Jan Rękorajski <baggins@pld-linux.org> ffd96c4
- up to 1.2.1

* Sat Oct 11 2008 Jakub Bogusz <qboosh@pld-linux.org> f7eebe3
- no macro in Obsoletes

* Sat Oct 11 2008 Jan Rękorajski <baggins@pld-linux.org> 358bcac
- rel 2
- sanitized R/S

* Fri Oct 10 2008 Jan Rękorajski <baggins@pld-linux.org> 5a9febc
- rel 1
- noautoreq for pear(/usr/share/horde.*)
- added js dir to package

* Thu Oct 09 2008 Elan Ruusamäe <glen@pld-linux.org> e561c8b
- BR tar was due --strip-components= arg, now that's gone no need for versioned dep

* Thu Oct 09 2008 Jan Rękorajski <baggins@pld-linux.org> 6db0c12
- use correct dir name in setup

* Thu Oct 09 2008 Jan Rękorajski <baggins@pld-linux.org> 6c2a50f
- just copy CREDITS where horde wants it, instead of making a symlink
  (possibly pointing to nothingnes if package is installed with --excludedocs)

* Thu Oct 09 2008 Jan Rękorajski <baggins@pld-linux.org> a6edd4d
- up to 1.2.1
- removed unreadable tangle of macros and ugly hacks

* Wed Feb 06 2008 Elan Ruusamäe <glen@pld-linux.org> f9e0353
- update to 1.2rc2, unify macros, drop old trigger

* Wed Jan 09 2008 Sławomir Paszkiewicz <paszczus@pld-linux.org> c6f9dab
- updated to 1.2-rc1

* Mon Oct 01 2007 Elan Ruusamäe <glen@pld-linux.org> 1a887f0
- 1.1.4

